---

- hosts: k3s_cluster
  gather_facts: yes
  become: yes
  roles:
    - role: k3s_prereq
    - role: k3s_download
    - role: k3s_raspberrypi

- hosts: k3s_master
  become: yes
  roles:
    - role: k3s/master

- hosts: k3s_nodes
  become: yes
  roles:
    - role: k3s/node
